install failed: "location of failed script: /public/lihs/miniconda3/envs/qiime2-2023.5/bin/.bioconductor-genomeinfodbdata-post-link.sh"

Hi,
I got a problem in qiime2 install using conda. It seems the R package bioconductor-genomeinfodbdata cannot be installed. Previously somebody posted similar issues, but were not well solved. I also tried to install bioconductor-genomeinfodbdata indenpendently but also failed, so I guess it should be some problem in this R package.

Here are the bug report:
conda env create -n qiime2-2023.5 --file qiime2-2023.5-py38-linux-conda.yml
Collecting package metadata (repodata.json): done
Solving environment: done

Downloading and Extracting Packages

Preparing transaction: done
Verifying transaction: done
Executing transaction: done
ERROR conda.core.link:_execute(952): An error occurred while installing package 'bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0'.
Rolling back transaction: done
class: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0
location of failed script: /public/lihs/miniconda3/envs/qiime2-2023.5/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout:
stderr: QIIME is caching your current deployment for improved performance. This may take a few moments and should only happen once per deployment.
++ dirname -- /public/lihs/miniconda3/envs/qiime2-2023.5/bin/installBiocDataPackage.sh

  • SCRIPT_DIR=/public/lihs/miniconda3/envs/qiime2-2023.5/bin/../share/bioconductor-data-packages
  • json=/public/lihs/miniconda3/envs/qiime2-2023.5/bin/../share/bioconductor-data-packages/dataURLs.json
    ++ yq '."genomeinfodbdata-1.2.9".fn' /public/lihs/miniconda3/envs/qiime2-2023.5/bin/../share/bioconductor-data-packages/dataURLs.json
  • FN='"GenomeInfoDbData_1.2.9.tar.gz"'
  • IFS=
  • read -r value
    ++ yq '."genomeinfodbdata-1.2.9".urls[]' /public/lihs/miniconda3/envs/qiime2-2023.5/bin/../share/bioconductor-data-packages/dataURLs.json
  • URLS+=($value)
  • IFS=
  • read -r value
  • URLS+=($value)
  • IFS=
  • read -r value
  • URLS+=($value)
  • IFS=
  • read -r value
    ++ yq '."genomeinfodbdata-1.2.9".md5' /public/lihs/miniconda3/envs/qiime2-2023.5/bin/../share/bioconductor-data-packages/dataURLs.json
  • MD5='"7cc138cfb74665fdfa8d1c244eac4879"'
  • STAGING=/public/lihs/miniconda3/envs/qiime2-2023.5/share/genomeinfodbdata-1.2.9
  • mkdir -p /public/lihs/miniconda3/envs/qiime2-2023.5/share/genomeinfodbdata-1.2.9
  • TARBALL='/public/lihs/miniconda3/envs/qiime2-2023.5/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
  • SUCCESS=0
  • for URL in '${URLS[@]}'
    ++ echo '"https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz"'
    ++ tr -d '"'
  • URL=https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
    ++ tr -d '"'
    ++ echo '"7cc138cfb74665fdfa8d1c244eac4879"'
  • MD5=7cc138cfb74665fdfa8d1c244eac4879
  • curl -L https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
    % Total % Received % Xferd Average Speed Time Time Time Current
    Dload Upload Total Spent Left Speed
    0 0 0 0 0 0 0 0 --:--:-- 0:05:00 --:--:-- 0
    curl: (28) Failed to connect to bioconductor.org port 443 after 300147 ms: Timeout was reached

return code: 28

kwargs:
{}

Traceback (most recent call last):
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/exception_handler.py", line 16, in call
return func(*args, **kwargs)
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda_env/cli/main.py", line 49, in do_call
exit_code = getattr(module, func_name)(args, parser)
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/notices/core.py", line 123, in wrapper
return func(*args, **kwargs)
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda_env/cli/main_create.py", line 163, in execute
result[installer_type] = installer.install(
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda_env/installers/conda.py", line 62, in install
unlink_link_transaction.execute()
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/core/link.py", line 356, in execute
self._execute(
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/core/link.py", line 972, in _execute
raise CondaMultiError(
conda.CondaMultiErrorclass: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0
location of failed script: /public/lihs/miniconda3/envs/qiime2-2023.5/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout:
stderr: QIIME is caching your current deployment for improved performance. This may take a few moments and should only happen once per deployment.
++ dirname -- /public/lihs/miniconda3/envs/qiime2-2023.5/bin/installBiocDataPackage.sh

  • SCRIPT_DIR=/public/lihs/miniconda3/envs/qiime2-2023.5/bin/../share/bioconductor-data-packages
  • json=/public/lihs/miniconda3/envs/qiime2-2023.5/bin/../share/bioconductor-data-packages/dataURLs.json
    ++ yq '."genomeinfodbdata-1.2.9".fn' /public/lihs/miniconda3/envs/qiime2-2023.5/bin/../share/bioconductor-data-packages/dataURLs.json
  • FN='"GenomeInfoDbData_1.2.9.tar.gz"'
  • IFS=
  • read -r value
    ++ yq '."genomeinfodbdata-1.2.9".urls[]' /public/lihs/miniconda3/envs/qiime2-2023.5/bin/../share/bioconductor-data-packages/dataURLs.json
  • URLS+=($value)
  • IFS=
  • read -r value
  • URLS+=($value)
  • IFS=
  • read -r value
  • URLS+=($value)
  • IFS=
  • read -r value
    ++ yq '."genomeinfodbdata-1.2.9".md5' /public/lihs/miniconda3/envs/qiime2-2023.5/bin/../share/bioconductor-data-packages/dataURLs.json
  • MD5='"7cc138cfb74665fdfa8d1c244eac4879"'
  • STAGING=/public/lihs/miniconda3/envs/qiime2-2023.5/share/genomeinfodbdata-1.2.9
  • mkdir -p /public/lihs/miniconda3/envs/qiime2-2023.5/share/genomeinfodbdata-1.2.9
  • TARBALL='/public/lihs/miniconda3/envs/qiime2-2023.5/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
  • SUCCESS=0
  • for URL in '${URLS[@]}'
    ++ echo '"https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz"'
    ++ tr -d '"'
  • URL=https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
    ++ tr -d '"'
    ++ echo '"7cc138cfb74665fdfa8d1c244eac4879"'
  • MD5=7cc138cfb74665fdfa8d1c244eac4879
  • curl -L https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
    % Total % Received % Xferd Average Speed Time Time Time Current
    Dload Upload Total Spent Left Speed
    0 0 0 0 0 0 0 0 --:--:-- 0:05:00 --:--:-- 0
    curl: (28) Failed to connect to bioconductor.org port 443 after 300147 ms: Timeout was reached

return code: 28

kwargs:
{}

: <exception str() failed>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/public/lihs/miniconda3/bin/conda-env", line 7, in
sys.exit(main())
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda_env/cli/main.py", line 60, in main
return conda_exception_handler(do_call, args, parser)
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/exception_handler.py", line 376, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/exception_handler.py", line 19, in call
return self.handle_exception(exc_val, exc_tb)
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/exception_handler.py", line 62, in handle_exception
return self.handle_application_exception(exc_val, exc_tb)
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/exception_handler.py", line 78, in handle_application_exception
self._print_conda_exception(exc_val, exc_tb)
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/exception_handler.py", line 84, in _print_conda_exception
print_conda_exception(exc_val, exc_tb)
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/exceptions.py", line 1259, in print_conda_exception
stderrlog.error("\n%r\n", exc_val)
File "/public/lihs/miniconda3/lib/python3.10/logging/init.py", line 1506, in error
self._log(ERROR, msg, args, **kwargs)
File "/public/lihs/miniconda3/lib/python3.10/logging/init.py", line 1624, in _log
self.handle(record)
File "/public/lihs/miniconda3/lib/python3.10/logging/init.py", line 1633, in handle
if (not self.disabled) and self.filter(record):
File "/public/lihs/miniconda3/lib/python3.10/logging/init.py", line 821, in filter
result = f.filter(record)
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/gateways/logging.py", line 56, in filter
record.msg = record.msg % new_args
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/init.py", line 110, in repr
errs.append(e.repr())
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/init.py", line 64, in repr
return f"{self.class.name}: {self}"
File "/public/lihs/miniconda3/lib/python3.10/site-packages/conda/init.py", line 68, in str
return str(self.message % self._kwargs)
ValueError: unsupported format character 'T' (0x54) at index 2094

Thank you!
lihaosen

Hello lihaosen,

Welcome to the forums! :qiime2:

I noticed this section, which looks like a network error. Internet issues sometimes fix themselves, so try running this again and see if it works now.

If this still fails with the same error, we can look into fixing genomeinfodbdata.

Hi Colin,
Thanks a lot for your reply! It is quite tricky. I will try again later.

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.